Bug 731713 - Update current values as ADDED bugs_activity when filing new/cloning
Summary: Update current values as ADDED bugs_activity when filing new/cloning
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: Database
Version: 3.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 12:48 UTC by Chris Ward
Modified: 2013-06-24 01:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-19 05:28:34 UTC


Attachments (Terms of Use)

Description Chris Ward 2011-08-18 12:48:29 UTC
Description of problem:

When bugs are filed or cloned, they're current values do not show up in the bugs_activity log. This complicates things when trying to parse through the activity log to determine the state of a bug at a particular time, since some field value states are left unaccounted for.


It would be helpful if when bugs are created or cloned, the values set at the time the bug is created could be included as 'ADDED' in the bugs_activity logs.


An example;

https://bugzilla.redhat.com/show_activity.cgi?id=708492

Futurefeature keyword was added, but by looking through the log itself, there's no transaction for it.

I would like it if the bug was filed, there would be a 'who, what, when, added' entry in the transaction log for every field that has an initial value set.

It would also help out simply figuring out the situation when things show up in the history as being 'removed' but can't be mapped back to a corresponding 'added' a some previous datetime. 

I'd rather have explicit indication of added/removed in the log rather than have to do magic or make assumptions.

Comment 1 Jeff Fearn 🐞 2012-05-30 04:41:33 UTC
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.

Comment 2 Jeff Fearn 🐞 2012-07-19 05:28:34 UTC
As noted previously, the Bugzilla Team is cleaning up a large number of outstanding issues that have bit rotted. This bug is being closed as there has been no response to that notification.

If you believe this bug is still important please reopen this bug in the NEW status and PM will consider it.


Note You need to log in before you can comment on or make changes to this bug.